* 0.35cvs - ???
	- GXMame now requires GTK+ 2.4.
	- Show button to rebuild the gamelist when showing a dialog about an
	  invalid gamelist.
	- Fixed input recording and playback which had been broken over 2 years.
	- Converted file selection dialogs to newer API.
	- The executable GtkCombo has been converted to a GtkComboBox.
	- Changed the way the gamelist is created. This allows to create a
	  new (in-memory) gamelist on read-only $HOME.
	- Added parser for listxml info from xmame (thanks to P. Cizaire).
	- New xmame option passing system. Avoids incompatibilities for most
      options.
	- Networking options are not saved anymore. To play network games
	  there is a "Play network game" choice that brings up a dialog for
	  network settings.
	- Most options that have a list for their values the values are
	  extracted from "xmame -help" output instead of hardcoded arrays.
	- Added setting to avoid passing any options to xmame.
	- Added support for SDL double buffering option.
	- Rendering properties only displays options for the current executable.
	- Detect Xv support in newer xmame versions (>= 0.72).
	- Slightly reduce memory usage for the rom list.
	- Speed up category, version and year filters.
	- Slightly speed up icon and image loading from zip files for clones.

* 0.34b - Thursday December 18 2003
	- Fix game options not overriding default options.
	- Fix hotrod(se) options with old Xmame versions.
	- Rpms are now build with joystick enabled by default.

* 0.34 - Monday December 15 2003
	- Now using GTK2
	- Columns size saved.
	- Detailled view can have columns sorted.
	- Columns layout editable.
	- OK & Cancel button follows GTK2 standard (pictures and order).
	- New tree views (list and detailled).
	- Quick find use now default GTK2 widget press Ctrl-f to use it.
	- Added a button to suppress a specific game option.
	- Resized some widgets and fixed size of other one.
	- Fixed some typos.
	- Simplified Chinese translation added (thanks to Andrew Wong).
	- Allow audit to be safely stopped.
	- New about dialog.
	- Plugged minor and major memory leaks.
	- Added drivers to category folders.
	- Detect joystick device at runtime initially.
	- Allow changing the default xmame data dir at compile time.
	- Catch Ctrl-C and kill and try to exit cleanly.
	- Greek translation added (not complete).

* 0.33 - Wednesday June 11 2003
	- Fix to allow 0.68 version of xmame to work(at least gamelist creation)
	- Added bios option support.
	- The largest screen size options are now save correctly.
	- Added UGCI(tm) coin/play option support.
	- Changed position and text for XIL options to fit in 800x600.
	- Directories windows is now modal to prevent crash when more
	  than one was opened (thanks, Benoit DUMONT).
	- Translation of keyboard layout option works now.
	- Allows non gcc compilers (remove gcc specific flags).
	- Allows compilation on non-linux systems (without joystick).
	- Allows compilation on systems that have strchr defines. 
	  (thanks,Brandon Corey for the 3 last fixes).
	- Traditional Chinese translation added (thanks to Jouston Huang).

* 0.32 - Monday March 24 2003
	- The audit window display now 'best available' and 'not found'
	  results (thanks, Benoit DUMONT).
	- Added tooltip to the 'about' button (thanks, Jani).
	- Clean up the Makefile.am in html (thanks, Nicos).
	- Fixed a bug that prevented unzipped icons to be displayed.
	- Some spell corrections.
	- Fixed the Cheat option.
	- Fixed a path in debian rule file.
	- Add a support for french and German keyboard (thanks, Luc Saillard).
	- The number of games visible is now correct in indented view.
	- Fixed problems ocurring with new version of gamma and brightness
	  introduced in xmame-0.66.1 (thanks to all contributors).
	- Added skip disclaimer and gameinfo options (thanks to all 
	  contributors).
	- Fixed a crash when building the list (thanks, Jorge Montero).
	- GXMame works now with catver.ini file from www.catver.com.

* 0.31 - Wednesday January 08 2003
	- Translations updated.
	- Debian directory updated.
	- Diffdir options added.
	- vidix option added.
	- User can now set additionnal options string.
	- Support new switches of XMame 0.62.1
	- Added icons suport (xpm and ico if zipped, ico only if not zipped).
	- Fixed an error message if a support zipfile was not found.
	- Change default input and Hiscore path to user directory.
	- Fixed a bug preventing to run the network.
	- Added option for Netmame 0.6 rc1
	- Added a new indented view where clones are shifted below their parent.
	- Reorganize directory options into several tabs.
	- User can now changes to color of the clones games.
	- User can now changes the font of the folders and game list.
	- Fixed a timout problem with the folder selection.
	- Properties window display the game icon.
	- Icons look better when scalled.

* 0.30 - Sunday November 24 2002
	- Fixed the keepaspect option for xfx target.
	- Fixed the SDL auto mode option.
	- Fixed option problem when user try to change the joystick device name.
	- Fixed option problem with photon2 target.
	- left and right direction of the joystick will allow to move faster
	  in the game list.
	- Changed the way to handle locales(thanks, Diego Apollonio).
	- Polish translation added (Thanks, Dawid Cierniak).
	- Resized some button to fit translated text.
	- Fixed the cheat option.
	- Added fullscreen option for Xv.
	- Added cfgname option.
	- Added waveout plugin support.
	- Added geometry option for xv
	- Added debian directory to build .deb packages(thanks, Nicos Panayides).
	- Fixed some option availability errors (grabmouse, Video mode and xv)
	- Reorganize options to be 800x600 friendly.
	- Added grabkeyboard option.
	- Added yuv option.
	- Can now use path with space characters.
	- Fixed segfault if pictures directory was longer than the default ones.
	- Changed some "Error" messages to "Warning" messages
	- Fixed the display of "µs" in some languages.
	- Added options to record and playback games.
	- SDL modes are now listed in a more 'friendly' way.(with xmame>=0.61.1)
	- Fixed: icons are now updated after a audit in details view.
	- Fixed hotkeys problems that moved in the gamelist after exiting a
	  dialog box or popup window.
	- Joystick game selection is now disabled when some dialog boxes are 
	  open (game preferences, inp selection).
	- Updated hotkeys for all dialog boxes.
	- Entries for roms and samples paths auto resize now. 
	- Added zip support for screenshot files.
	- the screenshot panel wont resize when resizing main window.
	- the joystick name option is now used when using the new driver type
	  joystick.
	- Added yv12 option.
	- Multiple executables support.
	- Added "The" prefix in View menu.
	- Fixed initialization of viewmode menu
	- Added an html documentation.
	- "Add to favorite" and "Remove from favorite" items are now updated
	  in the popup menu.
	- Documentation files are now installed when using source files.
	- Debug version is now compiled without optimizations 
	- Code cleanup.

* 0.28 - Thursday August 29 2002
	- Fixed the artworks options problem with the xmame-0.61.
	- Change the artwork_crop default value to false.
	- Change configure scripts to allows to turn on debugging at configure
	  time, just by typing './configure --enable-debug', no need to change
	  the sources anymore. The executable will also be striped when not 
	  using the debug version.
	- Should be able to recognize more errors when running xmame and display 
	  them instead of doing nothing.
	- Display the output of xmame even if the debug option wasn't activated
	- GXMame now use good parameters if the decimal separator of the system
	  is a ',' instead of a '.'
	- Fixed a bug the prevented user to save global vectors options.
	- added the the vector intensity option.
	- user can now disable to joystick support at configuration time
	  (it seems that it doesn't compile under freebsd) using
	  '--disable-joystick' switch.
	- Display history.dat and mameinfo.dat informations in the main window.
	- improved joystick support, analog joystick should give less eratic 
	  results
	- Does not refresh the screenshot if we click on a game already selected.
	- Support Flyers, Cabinets, Marquees and Titles screenshots in addition
	  of the snapshot ones, just click on the picture.
	- Add xv extension option.
	- correct the joystick choice option (Add the SDL type as joytype 7).
	- fixed the bug that prevented to use correctly xmame if dga or mitshm
	  (and some joysticks) weren't compiled in.
	- Add options to:
	   - check for new game at the beginning.
	   - disable the version mismatch warning.
	   - disable the joystick support in gui.
	   - Select the device used for joystick gui navigation.
	- Spanish translation added (Thanks, Pablo del Campo).
	- Fixed the strange behavior when using arrow key after joystick or
	  after searched a game by letter.
	- The game list is now focused when GXMame is launched.
	- Italian translation added (Thanks, Diego Apollonio).
	- Dutch translation added (Thanks, François Duprez).
	- Improve mame executable detection (previously problems with xfx 
	  version)
	- German translation added (Thanks, Tobias Wichtrey).
	- Updated README file
	
* 0.27c - Monday August 12 2002
	- Fixed a very stupid (but hard to find because it wasn't occurring on 
	  my computer)bug that crashed GXMame on some computers.
	- Improve Joystick support, you can now keep up or down directions
	  pressed to scroll through the game list.
	- GXMame doesn't try anymore to display a list of plugins when there
	  are no plugin at all.

* 0.27b - Thursday August 08 2002
	- fixed a bug that crashed GXMame when user tried to change options for
	  a non vector game.
	- Add preliminary Joystick support (up/down to select game and button 0
	  to play it), works at least with My PSX pad and should work with every 
	  joystick in /dev/js0
	- context menu appear when user press on the "Windows" menu key.

* 0.27 - Tuesday August 06 2002
	- Fixed: GXMame crashed if "The" button was clicked and no game 
	  selected.
	- Change error message in configure.in if gdk-pixbuf is not found.
	- User can quickly jump to a name by typing its name when the game list
	  is focused.
	- Fixed the bug that crash GXMame when you have no gamelist file,
	  your mame executable isn't called "xmame" and you try to choose your
	  executable (thanks, John Morris)
	- New logo (thanks, Arnaud Pontier)
	- Added preferences for global and specific game
	- When user change to a folder containing no games, the picture of
	  the previous game is no more displayed, and menus are updated also,
	  now working for the small icons view also.
	- Fixed the popup bug that messed up the mouse button when using the
	  popup
	- GXMame is now searching in your path to find xmame
	- Every options are created in option.c
	- Change configure.in and Makefile.am to be able to create package with
	 'make dist'

* 0.24c - Monday June 17 2002
	- when user change to a folder containing no games, the picture of
	  the previous game is no more displayed, and menus are updated also.
	- GXMame can now load catver file and not only catver.ini.
	- fixed the autogen script that was looking for gnome libraries
	- add a delay to the folders selection, that prevent GXMame to crash if
	  user clicks too quickly on a folder or browse different folders very
	  quickly.
	- fixed the bug that crashed GXMame if user click too quickly on "The,"
	  button.
	- the main window title is updated if the xmame executable is changed
	- user can't launch a game or an audit if the xmame selected is not a 
	  valid executable.

* 0.24b - Friday June 14 2002
	- Fixed a compilation problem when using --disable-nls option
	- when doing a quick check, the selected game stay selected
	  (on some configuration, GXMame crashed during the quick check)
	- detect if xmame is a valid executable.
	- GXMame now compare the executable and list version when changing the 
	  executable in directories preferences.
	- Fixed a stupid error when I display the mismatch version error
	- change the spec.in to create rpm packages.

* 0.24 - Sunday June 09 2002
	- Audit of all roms and samples
	- Fixed the first error message box that stayed under the main window
	  at the startup with some windows managers (Window Maker, Enlightment)
	- GXMame doesn't complain anymore if you use a executable made for 
	  another target than the one used to build the list
	- Change the gamelist format to be able to display all properties 
	  of a game
	- Properties window
	- Single audit window
	- Added a pop-up menu to launch the game, change the favorite status
	  select a random game and open the properties window
	- Able to audit a single game in the properties window, the result of 
	  this audit update the main gui
	- refresh the times played value and status of a game after played it
  
* 0.21 - Friday May 17 2002
	- remember  the last game selected even if the gamename contain 
	  no extension(ie something into parenthesis or after a dash).
	- Fix a nasty bug that prevented to display the selected game where I 
	  wanted but only on the top of the list.
	- Add a progression window when a game is loading but can't cancel
	  the load for the moment.
	- display an error when the game is not loaded.
	- hide the main window instead of iconize it.
	- remember the last folder selected.
	- the folderlist can be scrolled horizontally now.
	- add a progression window when creating the gamelist
	- user can rebuild gamelist from the gui
	- GXMame now detect if the gamelist is correspond to the executable
	- add support for catver.ini
	- user can now choose the name of his executable,
	  and paths to roms, samples, artwork, hiscore and catver from the gui
	- user can choose cheatfile, hiscorefile, historyfile and mameinfo.
	- Screenshots taken during games (F12 while playing) will be saved into
	  the snapshot folder and used by GXMame
	- Random game selection
	- some little bugfixes here and there...

* 0.19 - Tuesday May 07 2002:
	- first public release
